<!--
title: Serverless - Alibaba Cloud Function Compute Documentation
menuText: Alibaba Cloud
menuOrder: 6
layout: Doc
-->

<!-- DOCS-SITE-LINK:START automatically generated  -->

### [Read this on the main serverless docs site](https://www.serverless.com/framework/docs/)

<!-- DOCS-SITE-LINK:END -->

# Serverless Alibaba Cloud Function Compute Provider Documentation

Welcome to the Serverless Alibaba Cloud Function Compute documentation!

If you have questions, join the [chat in gitter](https://gitter.im/serverless/serverless) or [post over on the forums](https://forum.serverless.com/)

**Note:** [Alibaba Cloud AccessKeys](./guide/credentials.md) are required for using the CLI.

<div class="docsSections">
  <div class="docsSection">
    <div class="docsSectionSubHeader">
     <h4>Guides</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./guide/intro.md">Intro</a></li>
        <li><a href="./guide/quick-start.md">Quickstart</a></li>
        <li><a href="./guide/installation.md">Installation</a></li>
        <li><a href="./guide/credentials.md">Credentials</a></li>
        <li><a href="./guide/services.md">Services</a></li>
        <li><a href="./guide/functions.md">Functions</a></li>
        <li><a href="./guide/events.md">Events</a></li>
        <li><a href="./guide/deploying.md">Deploying</a></li>
        <li><a href="./guide/packaging.md">Packaging</a></li>
        <li><a href="./guide/variables.md">Variables</a></li>
        <li><a href="./guide/plugins.md">Plugins</a></li>
        <li><a href="./guide/workflow.md">Workflow</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>CLI References</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./cli-reference/create.md">Create</a></li>
        <li><a href="./cli-reference/install.md">Install</a></li>
        <li><a href="./cli-reference/package.md">Package</a></li>
        <li><a href="./cli-reference/deploy.md">Deploy</a></li>
        <li><a href="./cli-reference/info.md">Info</a></li>
        <li><a href="./cli-reference/invoke.md">Invoke</a></li>
        <li><a href="./cli-reference/login.md">Login</a></li>
        <li><a href="./cli-reference/logs.md">Logs</a></li>
        <li><a href="./cli-reference/remove.md">Remove</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>Events</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./events/http.md">HTTP</a></li>
        <li><a href="./events/oss.md">OSS</a></li>
      </ul>
    </div>
  </div>
</div>
